
__version__ = "$Rev$".split()[-2:][0]
print( "[PYDBG] : airstream::__init__ : version %s" % __version__ )

__all__  = [ "globals", "shaders" ]

# Env var names
kAirHome            = "AIRHOME"
kAirStreamHome      = "AIRSTREAM_HOME"

# Paths
kAirHomePath            = None
kAirShaderPath          = None
kAirStreamHomePath      = None
kAirStreamShaderPath    = None

import os, sys
if kAirHome in os.environ:
    kAirHomePath = os.path.abspath( os.environ[kAirHome] )
    kAirShaderPath = os.path.abspath( os.path.join( kAirHomePath, "shaders" ) )
if kAirStreamHome in os.environ:
    kAirStreamHomePath = os.path.abspath( os.environ[kAirStreamHome] )
    kAirStreamShaderPath = os.path.abspath( os.path.join( kAirStreamHomePath, "shaders" ) )

def pydbg( msg ):
    print( "[PYDBG] : %s" % msg )
    pass

pydbg( "%s = %s" % (kAirHome, kAirHomePath) )
pydbg( "%s = %s" % (kAirStreamHome, kAirStreamHomePath) )

pydbg("import globals")
import globals
pydbg("loading globals")
globals.loadAirStreamConfig()
pydbg("loaded globals")
